interface ExcelProps {
    title: string;
    url: string;
}
/** @class Excel load excel file to table without upload to server */
declare class Excel {
    protected props: ExcelProps;
    private tableProps;
    private workbook;
    static create(props: ExcelProps): Excel;
    constructor(props: ExcelProps);
    getTableProps(): Promise<void>;
    makeWindowFileLoader(): void;
    handleFileLoader(ev: Event): void;
    makeWindowPreview(): void;
    finishSelect(): void;
}
export default Excel;
